{% extends "base.html" %}
{% block content %}
    <div class="row">
        <div class="col">
            <h1 class="">{{ screen.name }}</h1>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-sm-3 mb-3">
            <!--left col-->
            <ul class="list-group">
                <li class="list-group-item text-muted" contenteditable="false">Détails</li>
                <li class="list-group-item text-right"><span class="pull-left"><strong
                        class="">Lieu: </strong></span><br> {{ screen.place }}</li>
                <li class="list-group-item text-right"><span class="pull-left"><strong
                        class="">Needs: </strong></span><br> {{ screen.screen_need_on }}</li>
                <li class="list-group-item text-right"><span class="pull-left"><strong class="">Propriétaire : </strong></span><br> {{ screen.owner_group.name }}
                </li>
                <li class="list-group-item text-right"><span class="pull-left"><strong
                        class="">Statut : </strong></span><br>
                    {% if screen.is_ok %}
                        <h2><span class="badge badge-success">En ligne</span></h2>
                    {% else %}
                        <h2><span class="badge badge-warning">HS</span></h2>
                    {% endif %}
                </li>
                <li class="list-group-item text-right"><span class="pull-left"><strong
                        class="">Groupe d'écran : </strong></span><br> <a href="{% url "view_place" screen.place_group.pk %}">{{ screen.place_group }}</a>
                </li>
                <li class="list-group-item text-right"><span class="pull-left"><strong
                        class="">Planning actif : </strong></span><br> {{ screen.place_group.hour_group.name }}
                </li>
                <li class="list-group-item text-right">
                    {% for hour in hour_list %}
                        {% ifchanged hour.day %}
                            <strong>{{ hour.get_day_name }}</strong><br/>
                        {% endifchanged %}
                        {{ hour.first_hour }} - {{ hour.last_hour }}<br/>
                    {% endfor %}

                </li>
            </ul>
        </div>
        <!--/col-3-->
        <div class="col-sm-9" style="" contenteditable="false">
            <div class="card">
                <h5 class="card-header">Flux urgents <em style="font-size: x-small">Aucun contenu "normal" ne s'affiche
                    si un contenu d'un flux prioritaire est actif</em> {% if can_admin %}<a
                        href="{% url "add_subscription" screen.pk "U" %}"><i aria-hidden="true"
                        class="far fa-plus-square"></i></a>{% endif %}</h5>
                <div class="card-body">
                    {% if urgent %}
                        {% for content in urgent %}
                            {{ content.feed }}{% if can_admin %}
                                <a href="{% url "delete_subscription" content.pk %}"><i aria-hidden="true" style="color: red"
                                                                                        class="far fa-trash-alt"></i></a>
                            {% endif %}
                            <br/>
                        {% endfor %}
                    {% else %}
                        Aucun flux urgent souscrit
                    {% endif %}

                </div>
            </div>
            <br/>
            <div class="card">
                <h5 class="card-header">Flux normaux {% if can_admin %}
                    <a href="{% url "add_subscription" screen.pk "N" %}"><i
                            aria-hidden="true" class="far fa-plus-square"></i></a>{% endif %}</h5>
                <div class="card-body">
                    {% if normal %}
                        {% for content in normal %}
                            {{ content.feed }} - Priorité {{ content.priority }}
                            {% if can_admin %}
                                {% if content.priority < 10 %}
                                    <a href="{% url "up_subscription" content.pk %}"><i aria-hidden="true"
                                            class="fas fa-plus-circle"></i></a>{% endif %}
                                {% if content.priority > 1 %}<a href="{% url "down_subscription" content.pk %}"><i
                                        aria-hidden="true" class="fas fa-minus-circle"></i></a>{% endif %}
                                <a href="{% url "delete_subscription" content.pk %}"><i aria-hidden="true" style="color: red"
                                                                                        class="far fa-trash-alt"></i></a>
                            {% endif %}<br/>
                        {% endfor %}
                    {% else %}
                        Aucun flux normal souscrit
                    {% endif %}
                </div>
            </div>
        </div>
    </div>

{% endblock %}